createBidRequirement
Requires permission biddesk:bid:update.
Adds a requirement at the end of a bid's matrix, open. Refused with BID_REQUIREMENT_REF_TAKEN when another live requirement of the bid uses its reference. Requires Bid Desk and permission to edit bids.
Errors: a failed call returns a GraphQL errors entry, not a field on the result, and data may be null or partial. Read the entry's extensions.code and message; every shape and code is in the Error reference.
Example:
- GraphQL
- cURL
mutation CreateBidRequirement($input: CreateBidRequirementInput!) {
createBidRequirement(input: $input) {
id
status
createdAt
bidId
category
deviationNote
links {
id
createdAt
requirementId
targetId
targetType
}
}
}
curl -X POST "https://<api-host>/graphql" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--data @- <<'EOF'
{
"query": "mutation CreateBidRequirement($input: CreateBidRequirementInput!) {\n createBidRequirement(input: $input) {\n id\n status\n createdAt\n bidId\n category\n deviationNote\n links {\n id\n createdAt\n requirementId\n targetId\n targetType\n }\n }\n}",
"variables": {
"input": {
"bidId": "id",
"category": "COMMERCIAL",
"ref": "string",
"text": "string"
}
}
}
EOF
Variables:
{
"input": {
"bidId": "id",
"category": "COMMERCIAL",
"ref": "string",
"text": "string"
}
}
Response:
{
"data": {
"createBidRequirement": {
"id": "id",
"status": "CLARIFY",
"createdAt": "2025-01-15T00:00:00Z",
"bidId": "id",
"category": "COMMERCIAL",
"deviationNote": "string",
"links": [
{
"id": "id",
"createdAt": "2025-01-15T00:00:00Z",
"requirementId": "id",
"targetId": "id",
"targetType": "APPROVAL_STAGE"
}
]
}
}
}
createBidRequirement(
input: CreateBidRequirementInput!
): BidRequirement!
Arguments
createBidRequirement.input ● CreateBidRequirementInput! non-null input
The requirement.
Type
BidRequirement object
One requirement of a bid, a row of its compliance matrix.